cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/account_groups/ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"account_group": {
"display_name": "Wholesale customers"
}
}'from exsited import build_client
client = build_client()
response = client.account_groups.update_settings_account_group(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
{"account_group": {"display_name": "Wholesale customers"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.updateSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b', {
account_group: {display_name: 'Wholesale customers'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->updateSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
['account_group' => ['display_name' => 'Wholesale customers']],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.accountGroups().updateSettingsAccountGroup(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
Map.of("account_group", Map.of("display_name", "Wholesale customers")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.UpdateSettingsAccountGroupAsync(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
new Dictionary<string, object?>
{
["account_group"] = new Dictionary<string, object?>
{
["display_name"] = "Wholesale customers",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.updateSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
{
'account_group': {'display_name': 'Wholesale customers'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().UpdateSettingsAccountGroup(context.Background(), "ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b", map[string]any{
"account_group": map[string]any{"display_name": "Wholesale customers"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Account groups
Update an account group
Changes an account group’s fields or its status.
PATCH
/
settings
/
account_groups
/
{account_group_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/account_groups/ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"account_group": {
"display_name": "Wholesale customers"
}
}'from exsited import build_client
client = build_client()
response = client.account_groups.update_settings_account_group(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
{"account_group": {"display_name": "Wholesale customers"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accountGroups.updateSettingsAccountGroup('ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b', {
account_group: {display_name: 'Wholesale customers'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accountGroups->updateSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
['account_group' => ['display_name' => 'Wholesale customers']],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.accountGroups().updateSettingsAccountGroup(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
Map.of("account_group", Map.of("display_name", "Wholesale customers")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AccountGroups.UpdateSettingsAccountGroupAsync(
"ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b",
new Dictionary<string, object?>
{
["account_group"] = new Dictionary<string, object?>
{
["display_name"] = "Wholesale customers",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accountGroups.updateSettingsAccountGroup(
'ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b',
{
'account_group': {'display_name': 'Wholesale customers'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AccountGroups().UpdateSettingsAccountGroup(context.Background(), "ag_3c8e1a5b7d2f4a9c8e6b1d3f5a7c9e2b", map[string]any{
"account_group": map[string]any{"display_name": "Wholesale customers"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send only the fields to change, under
account_group.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account group's ag_ id.
Body
application/json
Show child attributes
Show child attributes
Response
200
The group is updated.